module.exports = function(context, opts) {
  opts = opts || {};
  const envOpts = opts.env || {};

  if (envOpts.modules === undefined) {
    envOpts.modules = false;
  }

  if (envOpts.useBuiltIns === undefined) {
    envOpts.useBuiltIns = 'entry';
  }

  const config = {
    presets: [
      [require('@babel/preset-env'), envOpts],
    ],
    plugins: [
      [require('@babel/plugin-transform-template-literals'), { loose: true }],
      [require('@babel/plugin-proposal-class-properties'), { loose: true }],
      [require('@babel/plugin-proposal-json-strings'), { loose: true }],
      [require('@babel/plugin-syntax-dynamic-import'), { loose: true }],
      [require('@babel/plugin-syntax-import-meta'), { loose: true }],
    ],
  };

  return config;
};
